zenilib: zenilib/jni/external/sdl_net/SDLnetselect.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
SDLnetselect.c File Reference
`#include "SDLnetsys.h"`
`#include "SDL_net.h"`

Go to the source code of this file.

## Functions

int | SDLNet_AddSocket (SDLNet_SocketSet set, SDLNet_GenericSocket sock)
SDLNet_SocketSet | SDLNet_AllocSocketSet (int maxsockets)
int | SDLNet_CheckSockets (SDLNet_SocketSet set, Uint32 timeout)
int | SDLNet_DelSocket (SDLNet_SocketSet set, SDLNet_GenericSocket sock)
void | SDLNet_FreeSocketSet (SDLNet_SocketSet set)

## Function Documentation

int SDLNet_AddSocket | ( | SDLNet_SocketSet | set,
|  | SDLNet_GenericSocket | sock
| ) |  |

Definition at line 68 of file SDLnetselect.c.

References NULL, and SDLNet_SetError().

Referenced by SDLNet_TCP_AddSocket(), and SDLNet_UDP_AddSocket().

SDLNet_SocketSet SDLNet_AllocSocketSet | ( | int | maxsockets | ) |

Definition at line 44 of file SDLnetselect.c.

References free, i, malloc, and NULL.

Referenced by main(), and Zeni::TCP_Socket::TCP_Socket().

int SDLNet_CheckSockets | ( | SDLNet_SocketSet | set,
|  | Uint32 | timeout
| ) |  |

Definition at line 110 of file SDLnetselect.c.

References i, NULL, SDLNet_GetLastError(), SDLNet_SetLastError(), and SOCKET.

Referenced by HandleNet(), main(), and Zeni::TCP_Socket::try_check_socket().

int SDLNet_DelSocket | ( | SDLNet_SocketSet | set,
|  | SDLNet_GenericSocket | sock
| ) |  |

Definition at line 81 of file SDLnetselect.c.

References i, NULL, and SDLNet_SetError().

Referenced by SDLNet_TCP_DelSocket(), and SDLNet_UDP_DelSocket().

void SDLNet_FreeSocketSet | ( | SDLNet_SocketSet | set | ) |

Definition at line 156 of file SDLnetselect.c.

References free.

Referenced by cleanup(), Zeni::TCP_Socket::TCP_Socket(), and Zeni::TCP_Socket::~TCP_Socket().